<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
?>

<?php

    # sitie po submito;
    $nameValue = $_SESSION['position--name-value'];
    $nameStatus = $_SESSION['position--name-status'];
    $nameMessage = $_SESSION['position--name-message'];

    $phoneValue = $_SESSION['position--phone-value'];
    $phoneStatus = $_SESSION['position--phone-status'];
    $phoneMessage = $_SESSION['position--phone-message'];

    $emailValue = $_SESSION['position--email-value'];
    $emailStatus = $_SESSION['position--email-status'];
    $emailMessage = $_SESSION['position--email-message'];

    $agreeValue = $_SESSION['position--agree-value'];
    $agreeStatus = $_SESSION['position--agree-status'];
    $agreeMessage = $_SESSION['position--agree-message'];

    $cvValue = $_SESSION['position--cv-value'];
    $cityValue = $_SESSION['position--city-value'];
    $cityIDValue = $_SESSION['position--city_id-value'];
    $messageValue = $_SESSION['position--message-value'];
    $confirmValue = $_SESSION['position--confirm-value'];

    if(is_numeric($_SESSION['employees--id']) && $_SESSION['position--s'] === 1) {
        $employeeData = Biuro_Contacts_Public::fetchRow($_SESSION['employees--id']);

        $nameValue = $employeeData['name'];
        $phoneValue = $employeeData['phone'];
        $emailValue = $employeeData['email'];
        $city = $employeeData['city'];
        # city reiks uzdet turbut?
    }

?>
    <div class="c-form--row">
        <label class="c-form--label" for="form-name"><?php _e('Name, surname', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap <?php if ($nameStatus) { echo "c-form--input-wrap--$nameStatus"; } ?>">
            <input type="text" class="c-form--input" id="form-name" name="name" value="<?php echo $nameValue; ?>" <?php if ($nameStatus == 'error' || !$nameValue): ?> autofocus="autofocus" <?php endif; ?>>
        </div>
        <?php if ($nameMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $nameStatus; ?>">
                <?php echo $nameMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->


    <div class="c-form--row">
        <label class="c-form--label" for="form-phone"><?php _e('Phone no.', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap <?php if ($phoneStatus) { echo "c-form--input-wrap--$phoneStatus"; } ?>">
            <input type="tel" class="c-form--input" id="form-phone" name="phone" value="<?php echo $phoneValue; ?>" <?php if ($nameStatus != 'error' && $phoneStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
        </div>
        <?php if ($phoneMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $phoneStatus; ?>">
                <?php echo $phoneMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->


    <div class="c-form--row">
        <label class="c-form--label" for="form-email"><?php _e('Email address', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap <?php if ($emailStatus) { echo "c-form--input-wrap--$emailStatus"; } ?>">
                <input type="email" class="c-form--input" id="form-email" name="email" value="<?php echo $emailValue; ?>">
        </div>
        <?php if ($emailMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $emailStatus; ?>">
                <?php echo $emailMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <label class="c-form--label" for="form-city"><?php _e('City', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap">
            <input type="text" class="c-form--input" id="form-city" name="city" value="<?php echo $cityValue; ?>">
        </div>
    </div><!-- .c-form--row -->

    <div id="agree"></div>

    <div class="c-form--row">
        <label class="c-form--label" for="form-message"><?php _e('Message', 'biuro-contacts'); ?></label>
        <div class="c-form--textarea-wrap">
            <textarea name="message" id="form-message" cols="30" rows="3" class="c-form--textarea"><?php echo $messageValue; ?></textarea>
        </div>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <label class="c-form--label" for="form-cv"><?php _e('CV', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap">
            <input type="file" class="c-form--input" id="form-cv" name="cv" value="">
        </div>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <div class="c-form--checkbox-wrap">
            <input id="form-agree" type="checkbox" class="c-form--checkbox <?php if ($agreeStatus) { echo "c-form--checkbox--$agreeStatus"; } ?>" name="agree" value="1" <?php if ($agreeValue): ?> checked="checked"<?php endif; ?> <?php if ($nameStatus != 'error' && $phoneStatus != 'error' && $agreeStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?> >
            <label class="c-form--label-checkbox" for="form-agree"><?php _e('I agree, that my personal data will be used for offering me a job. For more detailed information view our <a href="https://biuro.eu/privacy-en.html" target="_blank" rel="noopener">Personal Data Protection Policy.</a>', 'biuro-contacts'); ?></label>
        </div>
        <?php if ($agreeMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $agreeStatus; ?>">
                <?php echo $agreeMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <div class="c-form--submit-wrap">
            <button type="submit" class="o-btn c-btn--main c-btn--fill" name="s" value="2" onclick="ga('send', 'event', 'CVForm', 'Button', 'SendCVForm');"><?php _e('Apply', 'biuro-contacts'); ?></button>
        </div>
    </div><!-- .c-form--row -->
