<?php
function getSiteTree($taxonomy, $section)
{
    $terms = get_terms( array(
        'taxonomy' => $taxonomy,
        'hide_empty' => false,
    ));

    if ( !empty( $terms ) && ! is_wp_error( $terms ) ):
        $res = array();

        foreach ( $terms as $term ):
            $termID = $term->term_id;

            $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND ' . $taxonomy . '.term_id = ' . $termID;

            $params = array(
                'where' => $where,
                'limit'   => -1
            );

            $jobsIn = pods( 'job', $params );

            if ( 0 < $jobsIn->total() ):
                $page = get_term_meta( $termID, 'page-id', true);
                $order = intval(get_term_meta( $termID, 'order', true));

                if ( $page && $page['post_status'] === 'publish') :

                    array_push($res, array(
                        'name' => $page['post_title'],
                        'href' => get_page_link( $page['ID'] ),
                        'order' => $order,
                        'total' => $jobsIn->total()
                    ));

                endif;
            endif;
        endforeach;

        if (count($res) == 0) {
            return '';
        }

        usort($res, function($a, $b) {
            $o = $b['order'] - $a['order'];
            if ($o):
                return $o;
            endif;
            $t = $b['total'] - $a['total'];
            if ($t):
                return $t;
            endif;

            return $a['name'] > $b['name'];
        });


        $classCSS = 'c-jobs-section';

        $isClosed = count($res) > 6;

        if ($isClosed):

            $classCSS .= ' c-jobs-section--is-closed';

        endif;

        echo '<div class="' . $classCSS . '">';
            echo '<h3 class="c-jobs-section--heading">' . $section . '</h3>';

            echo '<div class="c-jobs-section--content">';
                echo '<ul  class="c-jobs-section--list">';

                foreach ( $res as $r ):
?>
                    <li class="c-jobs-section--item"><a href="<?php echo $r['href']; ?>" title="<?php echo $r['name']; ?>" class="c-jobs-section--anchor"><?php echo $r['name'] . ' (' . $r['total'] . ')'; ?></a></li>
<?php
                endforeach;

             echo '</ul>';

            echo '</div>';

        if ($isClosed):
            echo '<a href="#" class="js-expand-jobs-section c-jobs-section--expand">' . __('More ...', 'biuro') . ' </a>';
        endif;

        echo '</div>';

     endif;
}
?>


<?php
    getSiteTree( 'city', __('City', 'biuro') );
?>

<?php
    getSiteTree( 'field', __('Job area', 'biuro') );
?>

<?php
    getSiteTree( 'type', __('Job type', 'biuro') );
?>


<?php if (get_page_template_slug() == 'page-vasaros-darbu-bankas.php'): ?>

    <div class="c-vdb--section c-vdb--section-aside">
        <img src="/wp-content/themes/biuro/i/vdb/not-found.png" width="85px" height="85px" alt="VDB not found" class="c-vdb--section-img" />
        <h3 class="c-vdb--section-heading"><?php _e("Didn't find a job offer you like?", 'biuro'); ?></h3>
        <p class="c-vdb--section-content">
            <?php _e('Fill out the form and we will contact you', 'biuro'); ?>
        </p>
    <?php
        $contactsPage = new WP_Query( array(
            'numberposts'   => 1,
            'post_type'     => 'page',
            'meta_key'      => 'page',
            'meta_value'    => 'employees-contacts'
        ) );

        if ( $contactsPage->have_posts() ) :
            while( $contactsPage->have_posts() ) :
                $contactsPage->the_post();
        ?>
                <a href="<?php echo get_the_permalink(); ?>?#action" class="o-btn c-btn--vdb"><?php _e('Get a job offer', 'biuro'); ?></a>
        <?php
            endwhile;
            wp_reset_query();
        endif;
     ?>
    </div>

<?php endif; ?>
